Vulnerabilities > CVE-2015-7505 - Out-Of-Bounds Write vulnerability in Netsurf-Browser Libnsgif 0.1.2

047910
CVSS 6.8 - MEDIUM
Attack vector
NETWORK
Attack complexity
MEDIUM
Privileges required
NONE
Confidentiality impact
PARTIAL
Integrity impact
PARTIAL
Availability impact
PARTIAL

Summary

Stack-based buffer overflow in the gif_next_LZW function in libnsgif.c in Libnsgif 0.1.2 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted LZW stream in a GIF file.

Vulnerable Configurations

Part Description Count
Application
Netsurf-Browser
1

Common Weakness Enumeration (CWE)